收藏
回答

navigateToMiniProgram废弃问题

wx.navigateToMiniProgram 这个接口即将废弃


但是 navigator 这个组件的 target 的属性需要基础库版本 2.0.7 以上

那么基础库版本低于 2.0.7 的用户如何进行跳转? 没有兼容方案吗?

接口升级能否 稍微 渐进增强一点?

最后一次编辑于  2018-06-28  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

2 个回答

  • 晨
    2018-06-28

    低版本用户仍可使用API进行跳转。封禁只针对新版本。

    2018-06-28
    赞同
    回复 3
    • 追小命
      追小命
      2018-06-28
      意思是我们代码里都要保留?这个navigator有意义吗。。。。如果我需要同时getUserInfo授权之后跳转其他小程序,请问如何实现?
      2018-06-28
      回复
    • daniel
      daniel
      2018-07-10回复追小命

      没法实现了。。悲伤

      2018-07-10
      回复
    • leesson
      leesson
      2018-07-16

      那到底要不要写兼容?还是两个都一起写上。之前的版本用方法。之后的版本自动用navigator组件?

      2018-07-16
      回复
  • Smile、浅笑
    Smile、浅笑
    2018-07-04

    这个接口废弃就问题来了,如果我在video上放置一个按钮跳转到小程序,video上只能放置cover-view标签,

    navigator这个标签该怎么跳转

    2018-07-04
    赞同
    回复